summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Dave Woodfall <dave@tty1.uk>2020-06-27 20:30:29 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-06-27 20:30:29 +0700
commit135b815877e9404643c2c9eb8700e261d5376077 (patch)
treec1b8cb3854629dc8b0c1713686846fbe8a8d6850 /system
parent0c8d527ff403b3900ed4b79a42d40331cf6f783f (diff)
downloadslackbuilds-135b815877e9404643c2c9eb8700e261d5376077.tar.gz
slackbuilds-135b815877e9404643c2c9eb8700e261d5376077.tar.xz
system/ph: Added (A fast Slackware Package History tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/ph/README6
-rw-r--r--system/ph/ph.SlackBuild79
-rw-r--r--system/ph/ph.info10
-rw-r--r--system/ph/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/system/ph/README b/system/ph/README
new file mode 100644
index 0000000000..0b8c1894a3
--- /dev/null
+++ b/system/ph/README
@@ -0,0 +1,6 @@
+ph - a fast Slackware Package History tool
+
+[ROOT=/mnt] ph [options] [-][NUM]
+
+ph prints a filtered list of the packages installed in a Slackware
+system, using the package description files in /var/log/packages/.
diff --git a/system/ph/ph.SlackBuild b/system/ph/ph.SlackBuild
new file mode 100644
index 0000000000..5d2ffe6077
--- /dev/null
+++ b/system/ph/ph.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for ph
+#
+# Copyright 2013 Dave Woodfall <dave@tty1.uk>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ph
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+README=$PKG/usr/doc/$PRGNAM-$VERSION/README
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+sed -i -e "s/@VERSION@/$VERSION/" ph.1
+gzip ph.1
+install -m 644 -D ph.1.gz $PKG/usr/man/man1/ph.1.gz
+install -m 755 -D ph $PKG/usr/bin/ph
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat << EOF > $README
+ph - a fast Slackware Package History tool
+Copyright 2013- Dave Woodfall
+ph is licensed under a "one-clause BSD/Slackware" license.
+See the script for the full text.
+Homepage: http://tty1.uk/slackbuilds/noversion/ph
+EOF
+
+man ./ph.1.gz | col -b | expand | fmt -72 | cat -s | sed "
+ 1d
+ s/\([^[:space:]]\)[[:space:]][[:space:]]*/\1 /g
+ /^$/N;/PH(1)$/D
+ " >> $README
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ph/ph.info b/system/ph/ph.info
new file mode 100644
index 0000000000..f5d6749a24
--- /dev/null
+++ b/system/ph/ph.info
@@ -0,0 +1,10 @@
+PRGNAM="ph"
+VERSION="1.1.0"
+HOMEPAGE="http://tty1.uk/slackbuilds/noversion/ph"
+DOWNLOAD="http://git.tty1.uk/cgit.cgi/ph/snapshot/ph-1.1.0.tar.gz"
+MD5SUM="916cad4a723485a54d4213e5dc46ad7f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Dave Woodfall"
+EMAIL="dave@tty1.uk"
diff --git a/system/ph/slack-desc b/system/ph/slack-desc
new file mode 100644
index 0000000000..8275eb17ac
--- /dev/null
+++ b/system/ph/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ph: ph (A fast Slackware Package History tool)
+ph:
+ph: ph prints a filtered list of the packages installed in a Slackware
+ph: system, using the package description files in /var/log/packages/.
+ph:
+ph: HOMEPAGE="http://tty1.uk/slackbuilds/noversion/ph"
+ph:
+ph:
+ph:
+ph:
+ph: